GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Macros | Functions
murmur_hash.c File Reference
`#include "src/core/support/murmur_hash.h"`

## Macros
#define | ROTL32(x, r) ((x) << (r)) | ((x) >> (32 - (r)))
#define | FMIX32(h)
#define | GETBLOCK32(p, i) (p)[(i)]

## Functions
gpr_uint32 | gpr_murmur_hash3 (const void *key, size_t len, gpr_uint32 seed)

## Macro Definition Documentation

#define FMIX32 | ( |  | h | ) |

Value:
(h) ^= (h) >> 16; \
(h) *= 0x85ebca6b; \
(h) ^= (h) >> 13; \
(h) *= 0xc2b2ae35; \
(h) ^= (h) >> 16;

#define GETBLOCK32 | ( |  | p,
|  |  | i
| ) |  | (p)[(i)]

#define ROTL32 | ( |  | x,
|  |  | r
| ) |  | ((x) << (r)) | ((x) >> (32 - (r)))

## Function Documentation

gpr_uint32 gpr_murmur_hash3 | ( | const void * | key,
|  | size_t | len,
|  | gpr_uint32 | seed
| ) |  |